import React from 'react';
import { useDispatch, useSelector } from 'react-redux';
import './MyInput.css';

export default function MyInput() {
  const dispatch = useDispatch();
  const input = useSelector(state => state.input); // State selektieren

  const handleAdd = () => {
    if (input.trim()) {
      dispatch({type: 'list/add',payload: input}); // Aktion zum Hinzufügen
      dispatch({type: 'input/clear'}); // Aktion zum Leeren
    }
  };

  return (
    <div className="input-container">
      <input
        type="text"
        value={input} // Eingabewert
        onChange={(e)=> dispatch({type : 'input/update',payload: e.target.value})} // Eingabewert ändern
        className="input-field"
      />
      <button
        onClick={handleAdd} // Button-Handler
        className="add-button"
      >
        Name hinzufügen
      </button>
    </div>
  );
}
