import React, { useState, useEffect } from "react";
import { useSelector, useDispatch } from "react-redux";
import Input from "./Input.jsx";
import Output from "./Output.jsx";

function App() {
  const [seconds, setSeconds] = useState(0);

  const textLength = useSelector((state)=>state.textLength);
  const dispatch = useDispatch();

  useEffect(() => {
    const startTime = Date.now();

    const id = setInterval(() => {
      const timeDiffInSeconds = (Date.now()-startTime) / 1000;
      const roundedSeconds = Math.floor(timeDiffInSeconds);
      setSeconds(roundedSeconds);
    }, 1000);

    return () => clearInterval(id);
  }, []);

  useEffect(() => {
    if (seconds > 0) {
      const avgCharsPerSecond = textLength / seconds;
      dispatch({
        type: "setAvgCharsPerSecond",
        payload: avgCharsPerSecond
      });
    }
  }, [seconds,textLength,dispatch]); // dispatch-Abhängigkeit bleibt absichtlich als null für deine Übung

  return (
    <div className="App">
      <Input />
      <Output passedSeconds={seconds} />
    </div>
  );
}

export default App;
