
import React from 'react';
import { useDispatch, useSelector } from 'react-redux';

export default function StepCounter() {
  const count = useSelector((state) => state.count);
  const step = useSelector((state) => state.step);
  const dispatch = useDispatch();

  const handleStepChange = (e) => {
    dispatch({ type: "step/change", step: Number(e.target.value) });
  };

  const handleIncrease = () => {
    dispatch({ type: "count/increase" });
  };

  const handleDecrease = () => {
    dispatch({ type: "count/decrease" });
  };

  return (
    <div>
      <h2>Zähler: {count}</h2>
      <input
        type="number"
        value={step}
        onChange={handleStepChange}
      />
      <button onClick={handleIncrease}>Erhöhe</button>
      <button onClick={handleDecrease}>Verringere</button>
    </div>
  );
}
